{
	"name": "@dkx/event-dispatcher",
	"version": "0.0.0-version-placeholder",
	"description": "Event dispatcher for node.js",
	"repository": "git@gitlab.com:dkx/node.js/event-dispatcher.git",
	"author": "David Kudera <kudera.d@gmail.com>",
	"license": "MIT",
	"main": "./lib/index.js",
	"types": "./lib/index.d.ts",
	"dependencies": {
		"@dkx/types-class": "0.0.2"
	},
	"devDependencies": {
		"@types/chai": "^4.1.7",
		"@types/mocha": "^5.2.6",
		"@types/node": "^11.13.9",
		"chai": "^4.2.0",
		"mocha": "^6.1.4",
		"reflect-metadata": "^0.1.13",
		"ts-node": "^8.1.0",
		"typescript": "^3.4.5"
	},
	"scripts": {
		"build": "tsc",
		"watch": "tsc --watch",
		"test": "TS_NODE_PROJECT=./test/tsconfig.json mocha -r ts-node/register 'test/tests/**/*.ts'"
	}
}
